;
; ZX81MACR.INC
; include file with macros used by Sinclair ZX81
; for FASMZ80 (flatassembler with Z80 instruction set)
;
; V1.1
; (C)opyright by Karl-Heinz Dahlmann, Mnchen
;

macro REM line,start,ed,val
  {
  local .x,.length
		db	line shr 8	; line number of REM statement
		db	line and $FF   ; line number of REM statement
	   if val eq
		dw	ed-start+2     ; lenght of line
		db	$EA		; REM statement (token code)
	   else
		db	.length+2
		db	$EA		; REM statement (token code)
  .x		db	val
  .length = $-.x
		db	NEWLINE
	   end if
  }

macro writeonscreen tp,msg
  {
    local x,y,z
    virtual
      db msg
      x=$-$$
      y=(32-x)/2
      z=32-x-y
    end virtual
    if tp eq 'E'
      db      y dup(SPACE)
      dbzx    msg
      db      z dup(SPACE)
    else
      if x=0
      else
	db	y dup(SPACE)
	dbzx	msg
      end if
    end if
  }
